| GlsMap Toolkit 1.10.1

Public Types | Public Member Functions | List of all members
disti::GlsMapSymbologyDataSource Class Referenceabstract

`#include <gls_map_symbology_data_source.h>`

Inheritance diagram for disti::GlsMapSymbologyDataSource:

## Public Types
typedef long | IconID
typedef long | PathID
typedef DynamicArray< IconID > | IconIDList
typedef DynamicArray< PathID > | PathIDList

## Public Member Functions
| GlsMapSymbologyDataSource ()
virtual | ~GlsMapSymbologyDataSource ()
virtual void | GetSymbolsInRegion (disti::GlsMapSymbology *symbology, const disti::GeoRect &region, IconIDList &icons, PathIDList &paths)=0
virtual disti::DisplayObject * | GetIconGeometry (IconID iconID, disti::GlsMapSymbology *symbology)=0
virtual void | GetIconLocation (IconID iconID, disti::GeoCoord &locationOut)=0
virtual disti::DisplayObject * | GetPathGeometry (PathID pathID, disti::GlsMapSymbology *symbology)=0
virtual long | GetPathPointCount (PathID pathID)=0
virtual void | GetPathPointLocation (PathID pathID, long pointNum, disti::GeoCoord &locationOut)=0
virtual void | SetupIconForRendering (disti::GlsMapSymbology *symbology, IconID iconID, disti::DisplayObject *iconGeometry)=0
virtual void | SetupPathForRendering (disti::GlsMapSymbology *symbology, PathID pathID, disti::DisplayObject *pathGeometry)=0
virtual void | PostDraw (disti::GlsMapView *view, disti::GlsMapSymbology *symbology)=0

## Detailed Description

abstract interface to the symbology data This interface allows the user to define a new data source to substitute their data for the standard symbology data source. More than one GlsMapSymbology may reference a single MapSymbologyDataSource

## Member Function Documentation

## ◆ GetIconGeometry()

virtual disti::DisplayObject * disti::GlsMapSymbologyDataSource::GetIconGeometry | ( | IconID | iconID,
|  | disti::GlsMapSymbology * | symbology
| ) |  |
| pure virtual

Returns the DisplayObject to use for rendering the given icon or NULL if no icon should be drawn

Parameters

  iconID | Must be a valid icon ID (obtained from GetSymbolsInRegion())
  symbology | symbology group that contains the DisplayObject that will be used to draw the given icon.

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

## ◆ GetIconLocation()

virtual void disti::GlsMapSymbologyDataSource::GetIconLocation | ( | IconID | iconID,
|  | disti::GeoCoord & | locationOut
| ) |  |
| pure virtual

Get the location of the given point

Parameters

  iconID | Must be a valid icon ID (obtained from GetSymbolsInRegion())
  locationOut | Will contain the location of the icon after the method returns

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

## ◆ GetPathGeometry()

virtual disti::DisplayObject * disti::GlsMapSymbologyDataSource::GetPathGeometry | ( | PathID | pathID,
|  | disti::GlsMapSymbology * | symbology
| ) |  |
| pure virtual

Returns the DisplayObject to use for rendering the path or NULL to use the default path rendering

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

## ◆ GetPathPointCount()

virtual long disti::GlsMapSymbologyDataSource::GetPathPointCount | ( | PathID | pathID | ) |
| pure virtual

Returns the number of points that make up the path.

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

## ◆ GetPathPointLocation()

virtual void disti::GlsMapSymbologyDataSource::GetPathPointLocation | ( | PathID | pathID,
|  | long | pointNum,
|  | disti::GeoCoord & | locationOut
| ) |  |
| pure virtual

Returns the location of the given point in the path.

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

## ◆ GetSymbolsInRegion()

virtual void disti::GlsMapSymbologyDataSource::GetSymbolsInRegion | ( | disti::GlsMapSymbology * | symbology,
|  | const disti::GeoRect & | region,
|  | IconIDList & | icons,
|  | PathIDList & | paths
| ) |  |
| pure virtual

Returns the list of symbols (icons and paths) that are visible in the given region.

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

## ◆ PostDraw()

virtual void disti::GlsMapSymbologyDataSource::PostDraw | ( | disti::GlsMapView * | view,
|  | disti::GlsMapSymbology * | symbology
| ) |  |
| pure virtual

Called after all the symbols have been drawn to allow the data source to perform additional rendering if needed.

Implemented in disti::GlsMapSymbologyBasicDataSource< IconT, PathT >, and disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >.

The documentation for this class was generated from the following file:

- gls_map_symbology_data_source.h